<?php

if ( ! function_exists( 'Wolf_setup' ) ) :
function Wolf_setup() {
	$Wolf_ch = array( //custom header settings
	'default-image'          => get_template_directory_uri() . '/images/wolfen1.png',
	'random-default'         => false,
	'width'                  => 410,
	'height'                 => 350,
	'uploads'                => true,
	'default-text-color'     => 'fff',
	'wp-head-callback'       => 'wolf_header_textcolor'
	);
	$Wolf_cbg = array( //custom background settings
	'default-image'          => get_template_directory_uri() . '/images/paw.svg',
	);
	add_theme_support( 'custom-header', $Wolf_ch );
	add_theme_support( 'custom-background', $Wolf_cbg);
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 190, 190 );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside','link','status'));
	/* translate */
	load_theme_textdomain( 'Wolf', get_template_directory() . '/languages' );
	/* add menu */
	register_nav_menus( array('primary' => __( 'Primary Navigation', 'Wolf' )) );	
	/* width     bredd */
	if ( ! isset( $content_width ) ) $content_width = 560;
}
add_action( 'after_setup_theme', 'Wolf_setup' );
endif;

/* add 'home' button to menu            'hem' knapp i menyn*/
function Wolf_page_menu_args( $args ) {
		$args['show_home'] = true;
		return $args;
	}
add_filter( 'wp_page_menu_args', 'Wolf_page_menu_args' );

function Wolf_enqueue_script() {
	/* Enqueue comment reply / threaded comments. */
	if ( ! is_admin() ){
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) { 
			wp_enqueue_script( 'comment-reply' ); 
		}
	}
	wp_enqueue_style( 'Wolf_style', get_stylesheet_uri() );
	wp_enqueue_style( 'Wolf_Font', 'http://fonts.googleapis.com/css?family=Amatic+SC');
}
add_action( 'wp_enqueue_scripts', 'Wolf_enqueue_script' );


function wolf_header_textcolor() {
	echo '<style type="text/css">
		.site-title a,
		.site-description {
			color: #' . get_header_textcolor() . '!important;
		}
	</style>';
}

/**
 * Filters wp_title to print a neat <title> tag based on what is being viewed.
 */
function wolf_wp_title( $title, $sep ) {
	global $page, $paged;
	if ( is_feed() )
		return $title;
	// Add the blog name
	$title .= get_bloginfo( 'name' );
	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title .= " $sep $site_description";
	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		$title .= " $sep " . sprintf( __( 'Page %s', 'wolf' ), max( $paged, $page ) );
		
	if ( is_404() ) {
        $title .=  " $sep " . sprintf( __( 'Page not found', 'wolf' ) );
    }
	return $title;
}
add_filter( 'wp_title', 'wolf_wp_title', 11, 2 );


/* Comments        Kommentarerna */
if ( ! function_exists( 'Wolf_comment' ) ) :
	function Wolf_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		switch ( $comment->comment_type ) :
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<div id="comment-<?php comment_ID(); ?>">
			<?php echo get_avatar( $comment, 50 );?>
			<div class="comment-author vcard">
			<?php
			echo get_comment_author_link() . " ". get_comment_date(get_option('date_format')) . " " . get_comment_time(get_option('time_format')); 
			echo '<span class="edit-comment">';
			edit_comment_link( __('Edit', 'Wolf' ), ' ' );	
			echo '</span>';	
			?>
			</div>
			<?php 
			if ( comments_open() ) :
			?>		
				<div class="reply"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></div>
			<?php endif ?>
			<div class="comment-body">
			<?php 		
			if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Your comment is awaiting moderation.', 'Wolf' ); ?></em><br/>
			<?php endif; ?>
			<?php comment_text(); ?>
			</div>
		</div>
	<?php
		break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="pingback">
	<p><?php comment_author_link(); ?> <span class="comment-reply"><?php edit_comment_link( __('Edit', 'Wolf'), ' ' ); ?></span></p>
	<?php
	break;
	endswitch;
}
endif;



/* Register widget areas (Sidebars)        Skapa sidebars*/
function wolf_widgets_init() {
	register_sidebar(
		array(
		'name' => __( 'Right Sidebar', 'wolf' ),
  		'description' => __( 'Widgets in this area will be shown in the third column.', 'Wolf' ),
		)
	);
}
add_action( 'widgets_init', 'wolf_widgets_init' );

?>